complexType "TelephoneNumber"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, number?
</...>

Content Model Elements (2):

  number (in telephone), | type (in telephone)

All Direct / Indirect Based Elements (1):

  telephone

Known Usage Locations

- As direct type of elements (1):
  telephone

Annotation
A type that represents a telephonic contact.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="TelephoneNumber"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="TelephoneTypeEnum"/> <xsd:element minOccurs="0" name="number" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
number

  Type: | xsd:string, predefined, simple content

  A telephonic contact.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="number" type="xsd:string"/>

type

  Type: | TelephoneTypeEnum, simple content

  The type of telephone number (work, personal, mobile).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Work" | - | A number used primarily for work-related calls. Includes home office numbers used primarily for work purposes. See: http://www.FpML.org
  "Mobile" | - | A number on a mobile telephone or pager that is often or usually used for work-related calls. This type of number can be used for urgent work related business when a work number is not sufficient to contact the person or firm. See: http://www.FpML.org
  "Fax" | - | A number used primarily for work-related facsimile transmissions. See: http://www.FpML.org
  "Personal" | - | A number used primarily for nonwork-related calls. (Normally this type of number would be used only as an emergency backup number, not as a regular course of business). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="TelephoneTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.